Bug 473477 - Review Request: tryton - Client for the Tryton application framework
Review Request: tryton - Client for the Tryton application framework
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-28 13:46 EST by Dan Horák
Modified: 2009-01-01 04:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-01 04:38:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2008-11-28 13:46:18 EST
Spec URL: http://fedora.danny.cz/tryton/tryton.spec
SRPM URL: http://fedora.danny.cz/tryton/tryton-1.0.0-1.fc11.src.rpm

Description:
Tryton is a three-tiers high-level general purpose application framework
written in Python and use PostgreSQL as database engine. It is the core base
of an Open Source ERP. It provides modularity, scalability and security.

The core of Tryton (also called Tryton kernel) provides all the necessary
functionalities for a complete application framework: data persistence (i.e
an ORM with extensive modularity), users management (authentication, fine
grained control for data access, handling of concurrent access of resources),
workflow and report engines, web services and internationalisation. Thus
constituting a complete application platform which can be used for any
relevant purpose.
Comment 1 Dan Horák 2008-12-01 15:19:42 EST
Updated Spec URL: http://fedora.danny.cz/tryton/tryton.spec
Updated SRPM URL: http://fedora.danny.cz/tryton/tryton-1.0.1-1.fc11.src.rpm

ChangeLog:
* Mon Dec  1 2008 Dan Horák <dan[at]danny.cz> 1.0.1-1
- update to upstream version 1.0.1

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=968014
Comment 2 Lubomir Rintel 2008-12-29 08:21:03 EST
Good Work.

* filelists fine
* provides/requires sane
* rpmlint silent
* builds in mock
* license ok, text included in %doc
* seems to run fine

Just a few notes, definitely not blockers:

1.) Please set vendor to "fedora" in the desktop entry
https://fedoraproject.org/wiki/Packaging/Guidelines#.desktop_file_creation

2.) The description seems completely irrelevant to me
I'd expect it to tell me what's in the package (the client), not the description of framework architecture. Please reconsider it.

APPROVED
Comment 3 Dan Horák 2008-12-29 09:59:00 EST
Thanks for the review.

Updated Spec URL: http://fedora.danny.cz/tryton/tryton.spec
Updated SRPM URL: http://fedora.danny.cz/tryton/tryton-1.0.1-2.fc10.src.rpm

* Mon Dec 29 2008 Dan Horák <dan[at]danny.cz> 1.0.1-2
- set vendor for the desktop file
- improve Description
Comment 4 Dan Horák 2008-12-29 10:00:21 EST
New Package CVS Request
=======================
Package Name: tryton
Short Description: Client for the Tryton application framework
Owners: sharkcz
Branches: F-9 F-10 EL-5
Comment 5 Kevin Fenzi 2008-12-31 00:48:52 EST
cvs done.
Comment 6 Dan Horák 2009-01-01 04:38:20 EST
Imported and built.

Note You need to log in before you can comment on or make changes to this bug.